# Abstract Class yii\db\conditions\ConjunctionCondition

Inheritance | yii\db\conditions\ConjunctionCondition
Implements | yii\db\conditions\ConditionInterface
Subclasses | yii\db\conditions\AndCondition, yii\db\conditions\OrCondition
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/conditions/ConjunctionCondition.php

Class ConjunctionCondition

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$expressions | mixed[] |  | yii\db\conditions\ConjunctionCondition

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() |  | yii\db\conditions\ConjunctionCondition
fromArrayDefinition() | Creates object by array-definition as described in Query Builder – Operator format guide article. | yii\db\conditions\ConjunctionCondition
getExpressions() |  | yii\db\conditions\ConjunctionCondition
getOperator() | Returns the operator that is represented by this condition class, e.g. `AND`, `OR`. | yii\db\conditions\ConjunctionCondition

## Property Details

$expressions protected property
protected mixed[] $expressions = null

## Method Details

__construct() public method

public void __construct ( $expressions )
$expressions | mixed |

fromArrayDefinition() public static method

Creates object by array-definition as described in Query Builder – Operator format guide article.

public static $this fromArrayDefinition ( $operator, $operands )
$operator | string | Operator in uppercase.
$operands | array | Array of corresponding operands
throws | yii\base\InvalidParamException | if input parameters are not suitable for this condition

getExpressions() public method

public mixed[] getExpressions ( )

getOperator() public abstract method

Returns the operator that is represented by this condition class, e.g. `AND`, `OR`.

public abstract string getOperator ( )